.TH HG PATHS  "" "" ""
.SH NAME
hg paths \- show aliases for remote repositories
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg paths [NAME]
.ft P
.fi
.SH DESCRIPTION
.sp
Show definition of symbolic path name NAME. If no name is given,
show definition of all available names.
.sp
Option \-q/\-\-quiet suppresses all output when searching for NAME
and shows only the path names when listing all definitions.
.sp
Path names are defined in the [paths] section of your
configuration file and in \fB/etc/mercurial/hgrc\fP. If run inside a
repository, \fB.hg/hgrc\fP is used, too.
.sp
The path names \fBdefault\fP and \fBdefault\-push\fP have a special
meaning.  When performing a push or pull operation, they are used
as fallbacks if no location is specified on the command\-line.
When \fBdefault\-push\fP is set, it will be used for push and
\fBdefault\fP will be used for pull; otherwise \fBdefault\fP is used
as the fallback for both.  When cloning a repository, the clone
source is written as \fBdefault\fP in \fB.hg/hgrc\fP.
.IP Note
.
\fBdefault\fP and \fBdefault\-push\fP apply to all inbound (e.g.
\%\fBhg incoming\fP\:) and outbound (e.g. \%\fBhg outgoing\fP\:, \%\fBhg email\fP\:
and \%\fBhg bundle\fP\:) operations.
.RE
.sp
See \%\fBhg help urls\fP\: for more information.
.sp
Template:
.sp
The following keywords are supported. See also \%\fBhg help templates\fP\:.
.INDENT 0.0
.TP
.B name
.
String. Symbolic name of the path alias.
.TP
.B pushurl
.
String. URL for push operations.
.TP
.B url
.
String. URL or directory path for the other operations.
.UNINDENT
.sp
Returns 0 on success.
.SH OPTIONS
.INDENT 0.0
.TP
.BI \-T,  \-\-template \ <TEMPLATE>
.
display with template
.UNINDENT
.\" Generated by docutils manpage writer.
.\" 
.
